From 93fbc099cc9e1b25b9d0ef40b7c2a4046cbdd4c8 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 05 2020 21:40:36 +0000
Subject: [PATCH 1279/2232] Implement CFG.exported_header_dirs


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 7bfc3e7..60797a5 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -192,6 +192,11 @@ fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Resul
     // source file.
     this_crate.exported_header_dirs.push(include_dir);
     this_crate.exported_header_dirs.extend(crate_dir);
+    for exported_dir in &CFG.exported_header_dirs {
+        this_crate
+            .exported_header_dirs
+            .push(PathBuf::from(exported_dir));
+    }
     this_crate.print_to_cargo();
 
     let mut build = Build::new();

